require "universe_simulate/version"

# Creates the Universal Simulation module.
module UniverseSimulate
  class Error < StandardError; end

  # Creates a class for universe simulation methods.
  class Universe

    # Creates conditions for a toxic universe.
    def self.toxic_universe
      puts "The current universe state is: Toxic."
    end

    # Creates conditions for a healthy universe.
    def self.healthy_universe
      print "This current universe state is: healthy, "

      def self.create_life # Create conditions for lifeforms.
        print "and there are conditions for life. "

        def self.carbon_life # Create conditions for carbon lifeforms.
          print "The dominant lifeforms are made of carbon. "

          # Creates conditions for plant life.
          def self.plant_life
            print "Such lifeforms are currently plant life. "

            def self.sentient     # Creates conditions for sentient plant life.
              print "The plants and are aware of their own self-being "

              def self.language
                puts "and speak in plant languages."
              end
            end

            def self.non_sentient # Creates conditions for non sentient plant life.
              puts ", however these plants are not sentient."
            end
          end

          # Creates conditions for animal life.
          def self.animal_life
            print "The dominent lifeforms are currently animal life. "

            def self.sentient # Creates conditions for sentient animal life.
              print "These animals are sentient and "

              def self.language
                puts "speak in different animal languages."
              end
            end

            def self.non_sentient
              puts "and are not currently sentient."
            end
          end
        end

        def self.silicone_life # Create conditions for silicone lifeforms.
          print "These lifeforms are made of silicone; "

          # Create conditions for macro computers.
          def self.macro_computers
            print "the macro computers "

            def self.sentient
              def self.language
                puts "currently speak in different programming languages."
              end
            end

            def self.non_sentient
              puts "are not currently sentient enough to speak."
            end
          end

          # Create conditions for micro computers.
          def self.micro_computers
            print "the macro computers "

            def self.sentient
              def self.language
                puts "currently speak in different programming languages."
              end
            end

            def self.non_sentient
              puts "are not currently sentient enough to speak."
            end
          end
        end
      end

      def self.no_lifeforms # Create conditions for no lifeforms.
        puts "but no life forms."
      end
    end

  end

end
